package Museum is

   --+---------------------------------------
   --  the Museum abstraction is represented by
   --+ the anonymous instance (i.e. one that has
   --+ no defined type) "Guardian"
   --+
   --+ visiting tourists must apply to the Guardian
   --+ to obtain access permission
   --+
   --+ access will be granted to groups of a fixed size only
   --+ (denoted by the private value Group_Size)
   --+---------------------------------------
   protected Guardian is
      entry Entrance;
   private
      Release : Boolean := False;
      Group_Size : Positive := 4;
      --  can you tell what difference would it
      --+ make if the limit was set to 5 or 7?
   end Guardian;

end Museum;
