with System;
package Tourists is

   --+---------------------------------
   --  the class of "Visitor" processes
   --+
   --+ obviously, these are not servers as they export no service
   --+
   --+ with the "Id" discriminant, we
   --+ assign a unique program-level ID to each process instance
   --+
   --+ with the "Interval" discriminant,
   --+ we tell each process instance
   --+ how long it must wait in between two subsequent visits
   --+---------------------------------
   task type Visitor_T
     (Id       : Positive;
      Interval : Natural;
      Importance : System.Priority) is
      pragma Priority (Importance);
   end Visitor_T;

end Tourists;
